ruby-trollop_2.0-2_all.deb


Advertisement

Description

ruby-trollop - command-line argument processing library

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ruby-trollop
Package version: 2.0
Package release: 2
Package architecture: all
Package type: deb
Installed size: 84 B
Download size: 14.44 KB
Official Mirror: archive.ubuntu.com
Trollop is YAFCLAP --- yet another fine commandline argument processor for Ruby. Trollop is designed to provide the maximal amount of GNU-style argument processing in the minimum number of lines of code (for you, the programmer).

Alternatives

Provides

  • libtrollop-ruby

    Download

    Source package: ruby-trollop

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ruby-trollop deb package:
      # sudo apt-get install ruby-trollop

    Files

    • /usr/lib/ruby/vendor_ruby/trollop.rb
    • /usr/share/doc/ruby-trollop/FAQ.txt.gz
    • /usr/share/doc/ruby-trollop/README.txt
    • /usr/share/doc/ruby-trollop/changelog.Debian.gz
    • /usr/share/doc/ruby-trollop/copyright
    • /usr/share/rubygems-integration/all/specifications/trollop-2.0.gemspec

    Changelog

    2014-10-11 - Per Andersson <avtobiff@debian.org> ruby-trollop (2.0-2) unstable; urgency=low * Bump Standards-Version to 3.9.6, no changes needed * Change to my Debian address * Switch upstream URL to something that actually exists * Correct name for Ruby license in debian/copyright License field

    2014-01-25 - Jonas Genannt <jonas.genannt@capi2name.de> ruby-trollop (2.0-1) unstable; urgency=low * Team upload. [ Cédric Boutillier ] * debian/control - remove obsolete DM-Upload-Allowed flag - use canonical URI in Vcs-* fields [ Jonas Genannt ] * Imported Upstream version 2.0 * d/control: - removed transitional packages (Closes: #735715) - bumped standards version to 3.9.5 (no changes needed) * d/docs renamed to ruby-trollop.docs * removed rubygems patch, no longer needed

    2012-06-20 - Per Andersson <avtobiff@gmail.com> ruby-trollop (1.16.2-3) unstable; urgency=low * Correct maintainer address. (Closes: #678284)

    2012-06-20 - Per Andersson <avtobiff@gmail.com> ruby-trollop (1.16.2-2) unstable; urgency=low * Correct binary ruby versions tag. * Fix path setup in debian/ruby-tests.rb. * Relax conflicts with transitional package to breaks. * Change section to ruby. * Added watch file.

    2012-04-15 - Per Andersson <avtobiff@gmail.com> ruby-trollop (1.16.2-1) unstable; urgency=low * New maintainer. (Closes: #660503) * New upstream release. (Closes: #646868) * Bumped standards version to 3.9.3 (no changes needed). * Changed to gem2deb packaging. - Rename source and binary packages to ruby-trollop. - Add libtrollop-ruby transitional package. - Run tests during build. - Build for all ruby versions. (Closes: #611822) * Use source format 3.0 (quilt). * Remove unnecessary dirs file. * Remove Manifest.txt from docs, no longer shipped. * Remove History.txt from docs, shipped automatically.

    2010-08-13 - Decklin Foster <decklin@red-bean.com> libtrollop-ruby (1.15-1) unstable; urgency=low * New upstream release

    2008-11-01 - Decklin Foster <decklin@red-bean.com> libtrollop-ruby (1.10.2-1) unstable; urgency=low * New Upstream Version

    2008-10-11 - Decklin Foster <decklin@red-bean.com> libtrollop-ruby (1.9-1) unstable; urgency=low * New Upstream Version * Fixed copyright file

    2008-06-30 - Decklin Foster <decklin@red-bean.com> libtrollop-ruby (1.8.2-1) unstable; urgency=low * New upstream release

    2008-06-26 - Decklin Foster <decklin@red-bean.com> libtrollop-ruby (1.8-1) unstable; urgency=low * Initial release (Closes: #488877)

    Advertisement
    Advertisement